defmodule Constant do
	# enum Color
	def color_black, do: 8
	def color_white, do: 9
	def color_red, do: 10
	def color_brightgreen, do: 11
	def color_blue, do: 12
	def color_yellow, do: 13
	def color_pink, do: 14
	def color_turquoise, do: 15
	def color_darkred, do: 16
	def color_green, do: 17
	def color_darkblue, do: 18
	def color_darkyellow, do: 19
	def color_violet, do: 20
	def color_teal, do: 21
	def color_gray25, do: 22
	def color_gray50, do: 23
	def color_periwinkle_cf, do: 24
	def color_plum_cf, do: 25
	def color_ivory_cf, do: 26
	def color_lightturquoise_cf, do: 27
	def color_darkpurple_cf, do: 28
	def color_coral_cf, do: 29
	def color_oceanblue_cf, do: 30
	def color_iceblue_cf, do: 31
	def color_darkblue_cl, do: 32
	def color_pink_cl, do: 33
	def color_yellow_cl, do: 34
	def color_turquoise_cl, do: 35
	def color_violet_cl, do: 36
	def color_darkred_cl, do: 37
	def color_teal_cl, do: 38
	def color_blue_cl, do: 39
	def color_skyblue, do: 40
	def color_lightturquoise, do: 41
	def color_lightgreen, do: 42
	def color_lightyellow, do: 43
	def color_paleblue, do: 44
	def color_rose, do: 45
	def color_lavender, do: 46
	def color_tan, do: 47
	def color_lightblue, do: 48
	def color_aqua, do: 49
	def color_lime, do: 50
	def color_gold, do: 51
	def color_lightorange, do: 52
	def color_orange, do: 53
	def color_bluegray, do: 54
	def color_gray40, do: 55
	def color_darkteal, do: 56
	def color_seagreen, do: 57
	def color_darkgreen, do: 58
	def color_olivegreen, do: 59
	def color_brown, do: 60
	def color_plum, do: 61
	def color_indigo, do: 62
	def color_gray80, do: 63
	def color_default_foreground, do: 0x0040
	def color_default_background, do: 0x0041
	def color_tooltip, do: 0x0051
	def color_none, do: 0x7F
	def color_auto, do: 0x7FFF

	#enum NumFormat
	def numformat_general, do: 0
	def numformat_number, do: 1
	def numformat_number_d2, do: 2
	def numformat_number_sep, do: 3
	def numformat_number_sep_d2, do: 4
	def numformat_currency_negbra, do: 5
	def numformat_currency_negbrared, do: 6
	def numformat_currency_d2_negbra, do: 7
	def numformat_currency_d2_negbrared, do: 8
	def numformat_percent, do: 9
	def numformat_percent_d2, do: 10
	def numformat_scientific_d2, do: 11
	def numformat_fraction_onedig, do: 12
	def numformat_fraction_twodig, do: 13
	def numformat_date, do: 14
	def numformat_custom_d_mon_yy, do: 15
	def numformat_custom_d_mon, do: 16
	def numformat_custom_mon_yy, do: 17
	def numformat_custom_hmm_am, do: 18
	def numformat_custom_hmmss_am, do: 19
	def numformat_custom_hmm, do: 20
	def numformat_custom_hmmss, do: 21
	def numformat_custom_mdyyyy_hmm, do: 22
	def numformat_number_sep_negbra, do: 37
	def numformat_number_sep_negbrared, do: 38
	def numformat_number_d2_sep_negbra, do: 39
	def numformat_number_d2_sep_negbrared, do: 40
	def numformat_account, do: 41
	def numformat_accountcur, do: 42
	def numformat_account_d2, do: 43
	def numformat_account_d2_cur, do: 44
	def numformat_custom_mmss, do: 45
	def numformat_custom_h0mmss, do: 46
	def numformat_custom_mmss0, do: 47
	def numformat_custom_000p0e_plus0, do: 48
	def numformat_text, do: 49

	# enum AlignH
	def alignh_general, do: 0
	def alignh_left, do: 1
	def alignh_center, do: 2
	def alignh_right, do: 3
	def alignh_fill, do: 4
	def alignh_justify, do: 5
	def alignh_merge, do: 6
	def alignh_distributed, do: 7

	# enum AlignV
	def alignv_top, do: 0
	def alignv_center, do: 1
	def alignv_bottom, do: 2
	def alignv_justify, do: 3
	def alignv_distributed, do: 4

	# enum BorderStyle
	def borderstyle_none, do: 0
	def borderstyle_thin, do: 1
	def borderstyle_medium, do: 2
	def borderstyle_dashed, do: 3
	def borderstyle_dotted, do: 4
	def borderstyle_thick, do: 5
	def borderstyle_double, do: 6
	def borderstyle_hair, do: 7
	def borderstyle_mediumdashed, do: 8
	def borderstyle_dashdot, do: 9
	def borderstyle_mediumdashdot, do: 10
	def borderstyle_dashdotdot, do: 11
	def borderstyle_mediumdashdotdot, do: 12
	def borderstyle_slantdashdot, do: 13

	# enum BorderDiagonal
	def borderdiagonal_none, do: 0
	def borderdiagonal_down, do: 1
	def borderdiagonal_up, do: 2
	def borderdiagonal_both, do: 3

	# enum FillPattern
	def fillpattern_none, do: 0
	def fillpattern_solid, do: 1
	def fillpattern_gray50, do: 2
	def fillpattern_gray75, do: 3
	def fillpattern_gray25, do: 4
	def fillpattern_horstripe, do: 5
	def fillpattern_verstripe, do: 6
	def fillpattern_revdiagstripe, do: 7
	def fillpattern_diagstripe, do: 8
	def fillpattern_diagcrosshatch, do: 9
	def fillpattern_thickdiagcrosshatch, do: 10
	def fillpattern_thinhorstripe, do: 11
	def fillpattern_thinverstripe, do: 12
	def fillpattern_thinrevdiagstripe, do: 13
	def fillpattern_thindiagstripe, do: 14
	def fillpattern_thinhorcrosshatch, do: 15
	def fillpattern_thindiagcrosshatch, do: 16
	def fillpattern_gray12p5, do: 17
	def fillpattern_gray6p25, do: 18

	# enum Script
	def script_normal, do: 0
	def script_super, do: 1
	def script_sub, do: 2

	#enum Underline
	def underline_none, do: 0
	def underline_single, do: 1
	def underline_double, do: 2
	def underline_singleacc, do: 0x21
	def underline_doubleacc, do: 0x22

	#enum Paper
	def paper_default, do: 0
	def paper_letter, do: 1
	def paper_lettersmall, do: 2
	def paper_tabloid, do: 3
	def paper_ledger, do: 4
	def paper_legal, do: 5
	def paper_statement, do: 6
	def paper_executive, do: 7
	def paper_a3, do: 8
	def paper_a4, do: 9
	def paper_a4small, do: 10
	def paper_a5, do: 11
	def paper_b4, do: 12
	def paper_b5, do: 13
	def paper_folio, do: 14
	def paper_quatro, do: 15
	def paper_10x14, do: 16
	def paper_10x17, do: 17
	def paper_note, do: 18
	def paper_envelope_9, do: 19
	def paper_envelope_10, do: 20
	def paper_envelope_11, do: 21
	def paper_envelope_12, do: 22
	def paper_envelope_14, do: 23
	def paper_c_size, do: 24
	def paper_d_size, do: 25
	def paper_e_size, do: 26
	def paper_envelope_dl, do: 27
	def paper_envelope_c5, do: 28
	def paper_envelope_c3, do: 29
	def paper_envelope_c4, do: 30
	def paper_envelope_c6, do: 31
	def paper_envelope_c65, do: 32
	def paper_envelope_b4, do: 33
	def paper_envelope_b5, do: 34
	def paper_envelope_b6, do: 35
	def paper_envelope, do: 36
	def paper_envelope_monarch, do: 37
	def paper_us_envelope, do: 38
	def paper_fanfold, do: 39
	def paper_german_std_fanfold, do: 40
	def paper_german_legal_fanfold, do: 41
	def paper_b4_iso, do: 42
	def paper_japanese_postcard, do: 43
	def paper_9x11, do: 44
	def paper_10x11, do: 45
	def paper_15x11, do: 46
	def paper_envelope_invite, do: 47
	def paper_us_letter_extra, do: 50
	def paper_us_legal_extra, do: 51
	def paper_us_tabloid_extra, do: 52
	def paper_a4_extra, do: 53
	def paper_letter_transverse, do: 54
	def paper_a4_transverse, do: 55
	def paper_letter_extra_transverse, do: 56
	def paper_supera, do: 57
	def paper_superb, do: 58
	def paper_us_letter_plus, do: 59
	def paper_a4_plus, do: 60
	def paper_a5_transverse, do: 61
	def paper_b5_transverse, do: 62
	def paper_a3_extra, do: 63
	def paper_a5_extra, do: 64
	def paper_b5_extra, do: 65
	def paper_a2, do: 66
	def paper_a3_transverse, do: 67
	def paper_a3_extra_transverse, do: 68
	def paper_japanese_double_postcard, do: 69
	def paper_a6, do: 70
	def paper_japanese_envelope_kaku2, do: 71
	def paper_japanese_envelope_kaku3, do: 72
	def paper_japanese_envelope_chou3, do: 73
	def paper_japanese_envelope_chou4, do: 74
	def paper_letter_rotated, do: 75
	def paper_a3_rotated, do: 76
	def paper_a4_rotated, do: 77
	def paper_a5_rotated, do: 78
	def paper_b4_rotated, do: 79
	def paper_b5_rotated, do: 80
	def paper_japanese_postcard_rotated, do: 81
	def paper_double_japanese_postcard_rotated, do: 82
	def paper_a6_rotated, do: 83
	def paper_japanese_envelope_kaku2_rotated, do: 84
	def paper_japanese_envelope_kaku3_rotated, do: 85
	def paper_japanese_envelope_chou3_rotated, do: 86
	def paper_japanese_envelope_chou4_rotated, do: 87
	def paper_b6, do: 88
	def paper_b6_rotated, do: 89
	def paper_12x11, do: 90
	def paper_japanese_envelope_you4, do: 91
	def paper_japanese_envelope_you4_rotated, do: 92
	def paper_prc16k, do: 93
	def paper_prc32k, do: 94
	def paper_prc32k_big, do: 95
	def paper_prc_envelope1, do: 96
	def paper_prc_envelope2, do: 97
	def paper_prc_envelope3, do: 98
	def paper_prc_envelope4, do: 99
	def paper_prc_envelope5, do: 100
	def paper_prc_envelope6, do: 101
	def paper_prc_envelope7, do: 102
	def paper_prc_envelope8, do: 103
	def paper_prc_envelope9, do: 104
	def paper_prc_envelope10, do: 105
	def paper_prc16k_rotated, do: 106
	def paper_prc32k_rotated, do: 107
	def paper_prc32kbig_rotated, do: 108
	def paper_prc_envelope1_rotated, do: 109
	def paper_prc_envelope2_rotated, do: 110
	def paper_prc_envelope3_rotated, do: 111
	def paper_prc_envelope4_rotated, do: 112
	def paper_prc_envelope5_rotated, do: 113
	def paper_prc_envelope6_rotated, do: 114
	def paper_prc_envelope7_rotated, do: 115
	def paper_prc_envelope8_rotated, do: 116
	def paper_prc_envelope9_rotated, do: 117
	def paper_prc_envelope10_rotated, do: 118

	#enum SheetType
	def sheettype_sheet, do: 0
	def sheettype_chart, do: 1
	def sheettype_unknown, do: 2

	#enum CellType
	def celltype_empty, do: 0
	def celltype_number, do: 1
	def celltype_string, do: 2
	def celltype_boolean, do: 3
	def celltype_blank, do: 4
	def celltype_error, do: 5
	def celltype_strictdate, do: 6

	#enum ErrorType
	def errortype_null, do: 0x00
	def errortype_div_0, do: 0x07
	def errortype_value, do: 0x0f
	def errortype_ref, do: 0x17
	def errortype_name, do: 0x1d
	def errortype_num, do: 0x24
	def errortype_na, do: 0x2a
	def errortype_noerror, do: 0xff

	#enum PictureType
	def picturetype_png, do: 0
	def picturetype_jpeg, do: 1
	def picturetype_gif, do: 2
	def picturetype_wmf, do: 3
	def picturetype_dib, do: 4
	def picturetype_emf, do: 5
	def picturetype_pict, do: 6
	def picturetype_tiff, do: 7
	def picturetype_error, do: 0xff

	#enum SheetState
	def sheetstate_visible, do: 0
	def sheetstate_hidden, do: 1
	def sheetstate_veryhidden, do: 2

	#enum Scope
	def scope_undefined, do: -2
	def scope_workbook, do: -1

	#enum Position
	def position_move_and_size, do: 0
	def position_only_move, do: 1
	def position_absolute, do: 2

	#enum Operator
	def operator_equal, do: 0
	def operator_greater_than, do: 1
	def operator_greater_than_or_equal, do: 2
	def operator_less_than, do: 3
	def operator_less_than_or_equal, do: 4
	def operator_not_equal, do: 5

	#enum Filter
	def filter_value, do: 0
	def filter_top10, do: 1
	def filter_custom, do: 2
	def filter_dynamic, do: 3
	def filter_color, do: 4
	def filter_icon, do: 5
	def filter_ext, do: 6
	def filter_not_set, do: 7

	#enum IgnoredError
	def ierr_no_error, do: 0
	def ierr_eval_error, do: 1
	def ierr_empty_cellref, do: 2
	def ierr_number_stored_as_text, do: 4
	def ierr_inconsist_range, do: 8
	def ierr_inconsist_fmla, do: 16
	def ierr_twodig_textyear, do: 32
	def ierr_unlock_fmla, do: 64
	def ierr_data_validation, do: 128

	# enum EnhancedProtection
	def prot_default, do: -1
	def prot_all, do: 0
	def prot_objects, do: 1
	def prot_scenarios, do: 2
	def prot_format_cells, do: 4
	def prot_format_columns, do: 8
	def prot_format_rows, do: 16
	def prot_insert_columns, do: 32
	def prot_insert_rows, do: 64
	def prot_insert_hyperlinks, do: 128
	def prot_delete_columns, do: 256
	def prot_delete_rows, do: 512
	def prot_sel_locked_cells, do: 1024
	def prot_sort, do: 2048
	def prot_autofilter, do: 4096
	def prot_pivottables, do: 8192
	def prot_sel_unlocked_cells, do: 16384

	# enum DataValidationType
	def validation_type_none, do: 0
	def validation_type_whole, do: 1
	def validation_type_decimal, do: 2
	def validation_type_list, do: 3
	def validation_type_date, do: 4
	def validation_type_time, do: 5
	def validation_type_textlength, do: 6
	def validation_type_custom, do: 7

	# enum DataValidationOperator
	def validation_op_between, do: 0
	def validation_op_notbetween, do: 1
	def validation_op_equal, do: 2
	def validation_op_notequal, do: 3
	def validation_op_lessthan, do: 4
	def validation_op_lessthanorequal, do: 5
	def validation_op_greaterthan, do: 6
	def validation_op_greaterthanorequal, do: 7

	# enum DataValidationErrorStyle
	def validation_errstyle_stop, do: 0
	def validation_errstyle_warning, do: 1
	def validation_errstyle_information, do: 2

	# enum CalcModeType
	def calcmode_manual, do: 0
	def calcmode_auto, do: 1
	def calcmode_autonotable, do: 2

	# enum CheckedType
	def checkedtype_unchecked, do: 0
	def checkedtype_checked, do: 1
	def checkedtype_mixed, do: 2

	# enum ObjectType
	def object_unknown, do: 0
	def object_button, do: 1
	def object_checkbox, do: 2
	def object_drop, do: 3
	def object_gbox, do: 4
	def object_label, do: 5
	def object_list, do: 6
	def object_radio, do: 7
	def object_scroll, do: 8
	def object_spin, do: 9
	def object_editbox, do: 10
	def object_dialog, do: 11
end
