defmodule RichStringTest do
	use ExUnit.Case
	doctest ElixirLibxl

	test "rich_string" do
		book_handle = ElixirLibxl.xlCreateBook()

		rich_string_handle = ElixirLibxl.xlBookAddRichString(book_handle)

		init_font = ElixirLibxl.xlBookFont(book_handle, 0)

		font_handle = ElixirLibxl.xlRichStringAddFont(rich_string_handle, init_font)

		ElixirLibxl.xlRichStringAddText(rich_string_handle, "test", font_handle)

		assert ElixirLibxl.xlRichStringGetText(rich_string_handle, 0, font_handle) == "test"

		assert ElixirLibxl.xlRichStringTextSize(rich_string_handle) == 1

		ElixirLibxl.xlBookRelease(book_handle)
	end
end
